Retail Documentation
  1. Stores
Retail Documentation
  • Events
    • Register For Events
      POST
  • NewsLetters
    • Get All Subcribers
      GET
    • Add New Subcribers
      POST
    • Send Mails To Subscribers
      POST
  • Stores
    • Get All Stores
      GET
    • Update Store
      PUT
    • Delete Store
      DELETE
    • Get Specific Store
      GET
    • Search Store
      POST
    • Add A New Store
      POST
  • Gives / Dontation
    • Get All Gives
      GET
    • Add A Give
      POST
  • Payment Gateway
    • Make Payment
      POST
  • Blog
    • Get All Blogs
      GET
    • Update Blog
      PUT
    • Get A Specific Blog
      GET
    • Delete Blog
      DELETE
    • Create New Blog
      POST
  • Admin
    • Admin Login
      POST
    • Admin Signup
      POST
    • Logout
      GET
  • Communities
    • Join Our Comunities
      POST
    • List of Users In Our Communities
      GET
  • Praise Report Form
    • Insert New Praise Form
    • Get All Praise Report Form
  • Welcome Section
    GET
  • Contact Us
    POST
  1. Stores

Update Store

PUT
/store/62e9f1fa879dff4f5a2539c1

Request

Body Params multipart/form-data

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/store/62e9f1fa879dff4f5a2539c1' \
--form 'youtubeLink="https://www.youtube.com/watch?v=1bumPyvzCyo"' \
--form 'title="testing"' \
--form 'author="Abdullah"' \
--form 'file=@""' \
--form 'audio=@""' \
--form 'message="Okdakdaljkfdajklfdal kjfdjakl fjkdal fldafa"' \
--form 'payable="false"' \
--form 'amount="200"' \
--form 'image=@""'
Response Response Example
{
    "error": "UPDATE_SUCESSFULLY",
    "status": true,
    "query": {
        "acknowledged": true,
        "modifiedCount": 1,
        "upsertedId": null,
        "upsertedCount": 0,
        "matchedCount": 1
    }
}
Modified at 2026-03-12 11:22:01
Previous
Get All Stores
Next
Delete Store
Built with